<?php

require_once 'base/FpaformgrrfEntityBase.php';

/* FpaformgrrfEntity.
 * @package Entity
 * @author francismararaujo
 */
class FpaformgrrfEntity extends FpaformgrrfEntityBase
{

    /* Retorna o id de processamento de vinculo.
     * @return boolean
     * @see FpaformgrrfEntityBase::getIdprocvinculo()
     * @author francismararaujo - 19/02/2013
     */

    public function getIdprocvinculo() {
        if (parent::getIdprocvinculo() === self::IDPROCVINCULO_SIM) {
            return true;
        } else {
            return false;
        }
    }

    /* Retorna o id de geracao de arquivo magnetico.
     * @return boolean
     * @see FpaformgrrfEntityBase::getIdgerameiomag()
     * @author francismararaujo - 19/02/2013
     */

    public function getIdgerameiomag() {
        if (parent::getIdgerameiomag() === self::IDGERAMEIOMAG_SIM) {
            return true;
        } else {
            return false;
        }
    }

    /* Retorna uma instancia de FpaformgrrfEntity.
     * @param integer $nrOrg Numero da organizacao de trabalho.
     * @param integer $nrFormulario Numero do formulario.
     * @return null | FpaformgrrfEntity
     * @author francismararaujo - 19/02/2013
     */

    public function retornaDadosFormularioGRRF($nrOrg, $nrFormulario) {
        $resultado = Fpaformgrrf::retornaDadosFormulario($nrOrg, $nrFormulario);
        if (is_object($resultado) === true) {
            return $resultado;
        }
    }

}