-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     03/05/2022  09:24
-- ============================================================

-- ============================================================
--   Trigger: PTO_DROPRESUMOSITUFREQ                                      
-- ============================================================
CREATE OR REPLACE TRIGGER PTO_DROPRESUMOSITUFREQ
 AFTER INSERT OR UPDATE OR DELETE
 ON GPE_MARCACAOPONTO   FOR EACH ROW
BEGIN
      IF (INSERTING OR UPDATING) AND :NEW.NRCOLETOR = 24 THEN
        DELETE FROM PTO_RESUMOSITUFREQ R
        WHERE R.NRORG              = :NEW.NRORG
          AND R.NRVINCULOM         = :NEW.NRVINCULOM
          AND R.DTAPURACAOSITUFREQ = TRUNC(:NEW.DTHRAJUSTADA, 'DD');
      ELSIF DELETING AND :OLD.NRCOLETOR = 24 THEN
        DELETE FROM PTO_RESUMOSITUFREQ R
        WHERE R.NRORG              = :OLD.NRORG
          AND R.NRVINCULOM         = :OLD.NRVINCULOM
          AND R.DTAPURACAOSITUFREQ = TRUNC(:OLD.DTHRAJUSTADA, 'DD');
      END IF;
    END;
/